Subject: [lojban] Re: cmegadri valfendi preti

From: "And Rosta" <[email-masked]>
Date: Sat, 7 Dec 2002 00:49:25 -0000

Lionel:
> And Rosta:
> > Nora to pier:
> > > I realize
> > > you are trying to enlarge the area of acceptable names, but (aside from
> > > the fact that I support the existing definition as baseline) I think you
> > > are
> > > doing the LISTENERS a disservice if you wish to have such things as
> > > {muSTElaVIson} as a name. The name-maker can take his/her time and
> > > analyze
> > > what he/she has built. The listener, however, may well be hearing it
> > > for the first time (and therefore cannot just pull it out as a known
> > > glob). And, the speech stream gives very little time for the listener
> > > to analyze new things; if she/he takes too long, the rest of the
> > > sentence is gone
> > I opine that even the baseline rule is too difficult to apply on
> > the fly (though your practical experience as a speaker may prove
> > me wrong -- are you speaking from experience or from principle), and
> > the same goes for the self-segmentation in general. (Self-segmentation
> > is good because it is crucial to unambiguity, but the particular
> > algorithm is not sufficient to be of help to real-time comprehension.)
> > Hence the benefit to the namer (or namee) weighs more, and maximizing
> > the available space for the different morphological classes outweighs
> > the negative impact of a slight increase in complexity of an already
> > complicated algorithm 
> 
> I disagree: you have to consider the job of the listener in a global
> perspective, that is from the parsing in words to the semantic
> interpretation 
> IMO Lojban syntax and in a far greater extend semantic are complicated
> enough (or you may say just uncommon enough) that to add complexity
> in the word parsing may make the language much more difficult to use
> in real time, and in much greater proportion that the amount of added
> complexity, should the uttered sentences become long or convoluted
> enough. (like my last one I am sorry to say :-)

I'm not sure that you understood the point I was making. I was claiming
that the morphological rules are ALREADY too complex to be used in
real time. It is therefore irrelevant that making the rules even more 
complex will make life even harder for the listener struggling to parse 
in real time. I think the rules could not be simplified to the point
where they could be used in realtime, unless the entire morphology
was discarded and redesigned from scratch.

As you know, some natural languages do have phonological clues to
word-boundaries, but on the whole disambiguation is accomplished
pragmatically. So in practise, for actual comprehension, the 
segmentation algorithm is not important. 

> In other, I would like the word parsing to be trivial enough so that
> I'll have more time to devote to the syntaxic and semantic
> interpretation of is what being said 

As things stand, the word parsing is so complicated that time
devoted to it is devoted in vain.

> Actually I do think we should strive to simplify the word parsing algorithm,
> even if that means to restrain the available space of the morphology
> classes. And this not really a problem, as it touches mainly cmene,
> the restrictions on the format of cmavo and brivla being already strong
> enough to be humanly parsable in real time 

Do you think so? Personally, I don't think I am capable of parsing
the phonological string without the aid of pragmatics (i.e. knowing
in advance what it is that you are likely to be saying).

--And.